import javax.swing.JMenuBar;
import javax.swing.JMenu;
import javax.swing.JMenuItem;
import java.awt.event.*;
import javax.swing.JRadioButtonMenuItem;
import javax.swing.ButtonGroup;
/**
 * @author Felipe Lopez P. - Cristian Carrasco G.
 */
public class LabMenuBar extends JMenuBar {
   /**
    * Se modifico el <code> LabMenuBar </code> para agregar mas opciones, como:
    * String, RubberBand ,Fixer, Reset y Gravity.
    */
    protected JMenu menu;
    protected JMenuItem menuItem;
    protected JRadioButtonMenuItem rbMenuItem;
    protected ButtonGroup group;
    JMenu menu3; 
    int j=1;
    public LabMenuBar(){}
    public LabMenuBar(InsertElementListener iel, SimulatorListener sl, BlockSpringConfiguration bsc){
      JMenu menu1 = new JMenu ("Insert");
      add(menu1);
      JMenuItem menuItemM = new JMenuItem("Mass");
      menuItemM.addActionListener(iel);
      menu1.add(menuItemM); 
      
      JMenuItem menuItemS = new JMenuItem("Spring");
      menuItemS.addActionListener(iel);
      menu1.add(menuItemS);
      
      JMenuItem menuItemR = new JMenuItem("RubberBand");   //Se agrego una cuerda al menu
      menuItemR.addActionListener(iel);
      menu1.add(menuItemR);
      
      JMenuItem menuItemF = new JMenuItem("Fixer");   //Se agrego un Fixer al menu
      menuItemF.addActionListener(iel);
      menu1.add(menuItemF);
      
      JMenu menu2 = new JMenu("Simulator");
      add(menu2);
      JMenuItem menuItem2S = new JMenuItem("Start");
      menuItem2S.addActionListener(sl);
      menu2.add(menuItem2S);
      
      JMenuItem menuItem2T = new JMenuItem("Stop");
      menuItem2T.addActionListener(sl);
      menu2.add(menuItem2T);
      
      JMenuItem menuItem2R = new JMenuItem("Reset");       //Se agrego la opcion de Reset
      menuItem2R.addActionListener(sl);
      menu2.add(menuItem2R);
      
      JMenu subMenu = new JMenu("Setting");
      menu2.add(subMenu);
      JMenuItem menuItemD = new JMenuItem("Delta t");
      menuItemD.addActionListener(sl);
      subMenu.add(menuItemD);
      
      JMenuItem menuItemRF = new JMenuItem("Refresh time");
      menuItemRF.addActionListener(sl);
      subMenu.add(menuItemRF);
      
      JMenuItem menuItemG = new JMenuItem("Gravity");      //Se agrego la opcion de Gravedad
      menuItemG.addActionListener(sl);
      subMenu.add(menuItemG);
      
      add(bsc.menu3);
     
    }  
}
